<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: theme_functions_include.php
| Author: Nick Jones (Digitanium)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

function auth_news($info,$class = "") {
	global $locale;
	$res = "";
	$link_class = $class ? " class='$class' " : "";
	$res .= "Autor: <a class='side' href='profile.php?lookup=".$info['user_id']."'".$link_class.">".$info['user_name']."</a> ";
	$res .= $info['news_ext'] == "y" || $info['news_allow_comments'] ? "\n" : "\n";
	return "<!--news_poster-->".$res;
}

function day_news($info,$class = "") {
	global $locale;
	$res = "";
	$link_class = $class ? " class='$class' " : "";
	$res = "<span style='font-weight:bold'>".showdate("%d", $info['news_date'])."</span>";
	return "<!--news_poster-->".$res;
}

function month_news($info,$class = "") {
	global $locale;
	$res = "";
	$link_class = $class ? " class='$class' " : "";
	$res = "<span style='font-size:9px'>".showdate("%b", $info['news_date'])."</span>";
	return "<!--news_poster-->".$res;
}

function year_news($info,$class = "") {
	global $locale;
	$res = "";
	$link_class = $class ? " class='$class' " : "";
	$res = "<span style='font-size:9px'>".showdate("%Y", $info['news_date'])."</span>";
	return "<!--news_poster-->".$res;
}

function readmore_news($info, $sep, $class = "") {
	global $locale; $res = "";
	$link_class = $class ? " class='$class' " : "";
	if (!isset($_GET['readmore']) && $info['news_ext'] == "y") $res = "<a href='news.php?readmore=".$info['news_id']."'".$link_class.">".$locale['global_072']."</a> ".$sep." ";
	return "<!--news_opts-->".$res;
}

function com_news($info,$class = "") {
	global $locale;
	$res = "";
	$link_class = $class ? " class='$class' " : "";
	if ($info['news_allow_comments']) $res .= "<img src='".THEME."images/comment_bubble.gif'>  <a href='news.php?readmore=".$info['news_id']."#comments' ".$link_class.">".$info['news_comments'].($info['news_comments'] == 1 ? $locale['global_073b'] : $locale['global_073'])." &raquo;</a>";
	return "<!--news_poster-->".$res;
}

function sublinks($sep = "&middot;", $class = "") {
	$sres = dbquery(
		"SELECT link_window, link_visibility, link_url, link_name FROM ".DB_SITE_LINKS."
		WHERE ".groupaccess('link_visibility')." AND link_position>='2' AND link_url!='---' ORDER BY link_order ASC"
	);
	if(dbrows($sres)) {
		$i = 0;
		$res = "<ul>\n";
		while ($sdata = dbarray($sres)) {
			$link_target = $sdata['link_window'] == "1" ? " target='_blank'" : "";
			$li_class = ($i == 0 ? " class='first-link".($class ? " $class" : "")."'" : ($class ? " class='$class'" : ""));
			if (strstr($sdata['link_url'], "http://") || strstr($sdata['link_url'], "https://")) {
				$res .= "".$sep."<a class='sublink' href='".$sdata['link_url']."'$link_target>".$sdata['link_name']."</a>\n";
			} else {
				$res .= "".$sep."<a class='sublink' href='".BASEDIR.$sdata['link_url']."'$link_target>".$sdata['link_name']."</a>\n";
			}
			$i++;
		}
		$res .= "</ul>\n";
		return $res;
	}
}

function edit($item_type, $item_id,$class = "") {
	global $locale, $aidlink; $res = "";
	$link_class = $class ? " class='$class' " : "";
	if ($item_type == "N") {
		if (iADMIN && checkrights($item_type)) { $res .= "<!--article_news_opts--><a href='".ADMIN."news.php".$aidlink."&amp;action=edit&amp;news_id=".$item_id."' ".$link_class.">Edytuj</a> | \n"; }
	} elseif ($item_type == "A") {
	if (iADMIN && checkrights($item_type)) { $res .= "<!--article_admin_opts--><a href='".ADMIN."articles.php".$aidlink."&amp;action=edit&amp;article_id=".$item_id." ".$link_class."'>Edytuj</a> | \n"; }
	}
	return $res;
}

function art_info($info, $sep = "", $class = "") {
	global $locale; $res = "";
	$link_class = $class ? " class='$class' " : "";
	$res = "Dodane: ".showdate("longdate", $info['article_date']);
	$res .= " przez <a href='profile.php?lookup=".$info['user_id']."'".$link_class.">".$info['user_name']."</a>\n";
	$res .= $info['article_allow_comments'] ? "\n" : "\n";
	return "<!--article_poster-->".$res;
}

function art_opt($info, $sep) {
	global $locale; $res = "";
	if ($info['article_allow_comments']) { $res = "<img src='".THEME."images/comment_bubble.gif'> <a href='articles.php?article_id=".$info['article_id']."#comments' class='com'>".$info['article_comments'].($info['article_comments'] == 1 ? $locale['global_073b'] : $locale['global_073'])." &raquo</a> \n"; }
	return "<!--article_opts-->".$res;
}
?>